
From: Marcelo Tosatti <marcelo.tosatti@cyclades.com>

Fix typo in Nick's kswapd-high-order awareness patch

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/mm/page_alloc.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN mm/page_alloc.c~mm-higher-order-watermarks-fix mm/page_alloc.c
--- 25/mm/page_alloc.c~mm-higher-order-watermarks-fix	2004-11-04 18:10:05.324531312 -0800
+++ 25-akpm/mm/page_alloc.c	2004-11-04 18:10:05.329530552 -0800
@@ -605,7 +605,7 @@ int zone_watermark_ok(struct zone *z, in
 		return 0;
 	for (o = 0; o < order; o++) {
 		/* At the next order, this order's pages become unavailable */
-		free_pages -= z->free_area[order].nr_free << o;
+		free_pages -= z->free_area[o].nr_free << o;
 
 		/* Require fewer higher order pages to be free */
 		min >>= 1;
_
